<div *ngIf="data | isNotNullNorUndefined"
     @overlay
     class="overlay"
>
  <div class="avatar-wrapper">
    <solidify-logo-wrapper-container [idResource]="data?.resId"
                                     [logoNamespace]="logoActionNameSpace"
                                     [logoState]="logoState"
                                     [isUser]="false"
                                     [isLogoPresent]="isLogoPresent"
                                     [imageMode]="imageDisplayModeEnum.IN_OVERLAY"
                                     class="avatar"
    ></solidify-logo-wrapper-container>
  </div>

  <div class="informations">
    <div class="name-wrapper"
         solidifyTooltipOnEllipsis
         [class.with-icon]="data.rorId | isNotNullNorUndefinedNorWhiteString"
    >
      <span class="name">{{data.name}}</span>
      <solidify-icon *ngIf="data.rorId | isNotNullNorUndefinedNorWhiteString"
                     [iconName]="iconNameEnum.ror"
                     [matTooltip]="data.rorId"
                     (click)="navigateToExternalUrl(rodIdUrl)"
                     class="size-24 icon"
      ></solidify-icon>
    </div>
    <div *ngIf="data.url | isNotNullNorUndefinedNorWhiteString"
         class="url-wrapper"
         solidifyTooltipOnEllipsis
    >
      <a [href]="data.url"
         target="_blank"
         class="url"
         solidifyTooltipOnEllipsis
      >{{data.url}}</a>
    </div>
  </div>
</div>
